// priority: 0

console.info('Hello, World! (You will only see this line once in console, during startup)')

onEvent('item.registry', event => {
	// Register new items here
	// event.create('example_item').displayName('Example Item')
	event.create('mechanized_rod').displayName('Mechanized Stick')
	//event.create('cooked_apple').food(food => {food.hunger(6).saturation(1)}).displayName('Cooked Apple').maxStackSize(64)
	event.create('glucose').displayName('Glucose Syrup').food(food => {food.hunger(10).saturation(10)})
	event.create('final_star').displayName('your did it')
	event.create('upgrade_1').displayName('Upgrade mk1').unstackable()
	event.create('upgrade_2').displayName('Upgrade mk2').unstackable()
	event.create('upgrade_3').displayName('Upgrade mk3').unstackable()
	event.create('upgrade_4').displayName('Upgrade mk4').unstackable()
	event.create('upgrade_5').displayName('Upgrade mk5').unstackable()
	event.create('upgrade_max').displayName('Upgrade Max').unstackable()
	event.create('theuniverse').displayName('Energized Universe').glow('true').rarity('epic')
})

onEvent('block.registry', event => {
	// Register new blocks here
	event.create('example_block').material('wood').hardness(1.0).displayName('Example Block')
	event.create('mechanized_block').material('wood').hardness(1.0).displayName('Mechanized Wood')
	event.create('mechanized_plank').material('wood').hardness(1.0).displayName('Mechanized Plank')
	event.create('mechanized_button').material('wood').hardness(1.0).displayName('Mechanized Button').tagBlockAndItem('minecraft:wooden_buttons').type('wooden_button')
	event.create('mechanized_slab').material('wood').hardness(1.0).displayName('Mechanized Slab').tagBlockAndItem('minecraft:wooden_slabs').type('slab')
	event.create('stone_bricks').material('stone').displayName('Stone Bricks').tagBlockAndItem('minecraft:stone_bricks')
	event.create('no_no_block').material('metal').displayName('No No')
	event.create('alloy_smelter').material('stone').displayName('Superior Alloy Smelter').texture(`kubejs:block/alloy_smelter_front`)
	event.create('condenser').material('stone').displayName('Condenser').texture(`kubejs:block/condenser_front`)

})

onEvent('fluid.registry', event => {
  event.create('liquid_mana')
    .textureThick(0x00FFFF)
    .bucketColor(0x00FFFF)
    .displayName('Liquid Mana')
})

